Subject: Re: [patch 4/4] tcp: statistics not read_mostly

From: Andi Kleen <[email-masked]>
Date: 13 Mar 2007 21:09:58 +0100

Stephen Hemminger <[email-masked]> writes:
> 
> /* 
>  * FIXME: On x86 and some other CPUs the split into user and softirq parts
>  * is not needed because addl $1,memory is atomic against interrupts (but 
>  * atomic_inc would be overkill because of the lock cycles). Wants new 
>  * nonlocked_atomic_inc() primitives -AK
>  */ 

That exists now as local_t.  And in fact the generic (non x86) local_t
is implemented in the same way as the current network statistics
(although I'm not convinced that's the best portable way to do this)

-Andi